Subject: bug#21703: 25.0.50; package.el: Thousands of new packages each day

From: Michael Heerdegen <[email-masked]>
Date: Sun, 18 Oct 2015 14:38:09 +0200

Hello,

I have

--8<---------------cut here---------------start------------->8---
(when (require 'package nil t)
  (package-initialize))

(setq
 package-archives
 '(("gnu"   . "http://elpa.gnu.org/packages/")
   ("melpa" . "http://melpa.org/packages/")))
--8<---------------cut here---------------end--------------->8---

as only settings related to package.el in my init file.

Whenever I do M-x package-list-packages (once each day), I see a huge
amount of new packages -- ~ 2600 today for example -- most of them from
Melpa.  I guess these are mostly packages with a new version available,
but they appear as "new".  It behaves like this since some weeks.

Is anyone else seeing this?  I find this inconvenient, since I
don't see when (really) new packages were added.

Thanks in advance,

Michael.

In GNU Emacs 25.0.50.34 (x86_64-unknown-linux-gnu, GTK+ Version 3.16.6)
 of 2015-10-17
Repository revision: 57be62f97b8442218f4fa6979cf27b36d5d5f540
Windowing system distributor 'The X.Org Foundation', version 11.0.11702000
System Description:	Debian GNU/Linux testing (stretch)

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY
LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LC_ALL: de_DE.utf8
  value of $LC_COLLATE: C
  value of $LC_TIME: C
  value of $LANG: de_DE.utf8
  locale-coding-system: utf-8-unix